Index: src/FLEXPART.f90
===================================================================
--- src/FLEXPART.f90	(revision 4c64400c622119505b289ef83be130b0b81b9590)
+++ src/FLEXPART.f90	(revision c8fc72499e835239b052197045c24d51657bb79f)
@@ -414,9 +414,14 @@
 
 ! NIK 16.02.2005 
-  write(*,*) '**********************************************'
-  write(*,*) 'Total number of occurences of below-cloud scavenging', tot_blc_count
-  write(*,*) 'Total number of occurences of in-cloud    scavenging', tot_inc_count
-  write(*,*) '**********************************************'
-
+  do i=1,nspec
+    write(*,*) '**********************************************'
+    write(*,*) 'Scavenging statistics for species ', species(i), ':'
+    write(*,*) 'Total number of occurences of below-cloud scavenging', &
+         & tot_blc_count(i)
+    write(*,*) 'Total number of occurences of in-cloud    scavenging', &
+         & tot_inc_count(i)
+    write(*,*) '**********************************************'
+  end do
+  
   write(*,*) 'CONGRATULATIONS: YOU HAVE SUCCESSFULLY COMPLETED A FLE&
        &XPART MODEL RUN!'
Index: src/FLEXPART_MPI.f90
===================================================================
--- src/FLEXPART_MPI.f90	(revision 4c64400c622119505b289ef83be130b0b81b9590)
+++ src/FLEXPART_MPI.f90	(revision c8fc72499e835239b052197045c24d51657bb79f)
@@ -462,13 +462,13 @@
 ! NIK 16.02.2005 
   if (lroot) then
-    call MPI_Reduce(MPI_IN_PLACE, tot_blc_count, 1, MPI_INTEGER8, MPI_SUM, id_root, &
+    call MPI_Reduce(MPI_IN_PLACE, tot_blc_count, nspec, MPI_INTEGER8, MPI_SUM, id_root, &
          & mp_comm_used, mp_ierr)
-    call MPI_Reduce(MPI_IN_PLACE, tot_inc_count, 1, MPI_INTEGER8, MPI_SUM, id_root, &
+    call MPI_Reduce(MPI_IN_PLACE, tot_inc_count, nspec, MPI_INTEGER8, MPI_SUM, id_root, &
          & mp_comm_used, mp_ierr)
   else
     if (mp_partgroup_pid.ge.0) then ! Skip for readwind process 
-      call MPI_Reduce(tot_blc_count, 0, 1, MPI_INTEGER8, MPI_SUM, id_root, &
+      call MPI_Reduce(tot_blc_count, 0, nspec, MPI_INTEGER8, MPI_SUM, id_root, &
            & mp_comm_used, mp_ierr)
-      call MPI_Reduce(tot_inc_count, 0, 1, MPI_INTEGER8, MPI_SUM, id_root, &
+      call MPI_Reduce(tot_inc_count, 0, nspec, MPI_INTEGER8, MPI_SUM, id_root, &
            & mp_comm_used, mp_ierr)
     end if
@@ -476,10 +476,13 @@
 
   if (lroot) then
-    write(*,*) '**********************************************'
-    write(*,*) 'Total number of occurences of below-cloud scavenging', &
-         & tot_blc_count
-    write(*,*) 'Total number of occurences of in-cloud    scavenging', &
-         & tot_inc_count
-    write(*,*) '**********************************************'
+    do i=1,nspec
+      write(*,*) '**********************************************'
+      write(*,*) 'Scavenging statistics for species ', species(i), ':'
+      write(*,*) 'Total number of occurences of below-cloud scavenging', &
+           & tot_blc_count(i)
+      write(*,*) 'Total number of occurences of in-cloud    scavenging', &
+           & tot_inc_count(i)
+      write(*,*) '**********************************************'
+    end do
 
     write(*,*) 'CONGRATULATIONS: YOU HAVE SUCCESSFULLY COMPLETED A FLE&
Index: src/com_mod.f90
===================================================================
--- src/com_mod.f90	(revision 4c64400c622119505b289ef83be130b0b81b9590)
+++ src/com_mod.f90	(revision c8fc72499e835239b052197045c24d51657bb79f)
@@ -140,5 +140,6 @@
 
 !NIK 16.02.2015
-  integer(selected_int_kind(16)) :: tot_blc_count=0, tot_inc_count=0
+  integer(selected_int_kind(16)), dimension(maxspec) :: tot_blc_count=0, &
+       &tot_inc_count=0
 
 
@@ -576,5 +577,6 @@
   real :: dxoutn,dyoutn,outlon0n,outlat0n,xoutshiftn,youtshiftn
   !real outheight(maxzgrid),outheighthalf(maxzgrid)
-  logical :: DEP,DRYDEP,DRYDEPSPEC(maxspec),WETDEP,OHREA,ASSSPEC
+  logical :: DEP,DRYDEP,DRYDEPSPEC(maxspec),WETDEP,WETDEPSPEC(maxspec),&
+       & OHREA,ASSSPEC
 
   ! numxgrid,numygrid       number of grid points in x,y-direction
@@ -593,4 +595,5 @@
   ! DRYDEPSPEC              .true., if dry deposition is switched on for that species
   ! WETDEP                  .true., if wet deposition is switched on
+  ! WETDEPSPEC              .true., if wet deposition is switched on for that species
   ! OHREA                   .true., if OH reaction is switched on
   ! ASSSPEC                 .true., if there are two species asscoiated
Index: src/readreleases.f90
===================================================================
--- src/readreleases.f90	(revision 4c64400c622119505b289ef83be130b0b81b9590)
+++ src/readreleases.f90	(revision c8fc72499e835239b052197045c24d51657bb79f)
@@ -276,4 +276,5 @@
   do i=1,maxspec
     DRYDEPSPEC(i)=.false.
+    WETDEPSPEC(i)=.false.
   end do
 
@@ -369,4 +370,5 @@
          &(dquer(i).gt.0. .and. (crain_aero(i) .gt. 0. .or. csnow_aero(i).gt.0.)))  then
       WETDEP=.true.
+      WETDEPSPEC(i)=.true.
       if (lroot) then
         write (*,*) '  Below-cloud scavenging: ON'
@@ -380,4 +382,5 @@
     if (dquer(i).gt.0..and.(ccn_aero(i).gt.0. .or. in_aero(i).gt.0.))  then
       WETDEP=.true.
+      WETDEPSPEC(i)=.true.
       if (lroot) then
         write (*,*) '  In-cloud scavenging: ON'
@@ -399,5 +402,5 @@
     endif
 
-  end do
+  end do ! end loop over species
 
   if (WETDEP.or.DRYDEP) DEP=.true.
Index: src/readspecies.f90
===================================================================
--- src/readspecies.f90	(revision 62e65c73ae7e3d8c4b8b884065ede76e07211ec8)
+++ src/readspecies.f90	(revision c8fc72499e835239b052197045c24d51657bb79f)
@@ -197,6 +197,6 @@
     weta_gas(pos_spec)=pweta_gas
     wetb_gas(pos_spec)=pwetb_gas
-    crain_aero=pcrain_aero
-    csnow_aero=pcsnow_aero
+    crain_aero(pos_spec)=pcrain_aero
+    csnow_aero(pos_spec)=pcsnow_aero
     ccn_aero(pos_spec)=pccn_aero
     in_aero(pos_spec)=pin_aero
Index: src/wetdepo.f90
===================================================================
--- src/wetdepo.f90	(revision 05cf28de9ff073ff7e3cdc064f0ed59c61a6dd09)
+++ src/wetdepo.f90	(revision c8fc72499e835239b052197045c24d51657bb79f)
@@ -90,5 +90,5 @@
   real :: frac_act, liq_frac, dquer_m
 
-  integer :: blc_count, inc_count
+  integer(selected_int_kind(16)), dimension(nspec) :: blc_count, inc_count
   real    :: Si_dummy, wetscav_dummy
   logical :: readclouds_this_nest
@@ -107,6 +107,6 @@
 !************************
 
-  blc_count=0
-  inc_count=0
+  blc_count(:)=0
+  inc_count(:)=0
 
   do jpart=1,numpart
@@ -256,5 +256,8 @@
     do ks=1,nspec      ! loop over species
       wetdeposit(ks)=0. 
-      wetscav=0.   
+      wetscav=0.
+
+! Cycle loop if wet deposition for the species is off
+      if (WETDEPSPEC(ks).eqv..false.) cycle
 
       if (ngrid.gt.0) then
@@ -274,5 +277,5 @@
         if ((dquer(ks).le.0.).and.(weta_gas(ks).gt.0..or.wetb_gas(ks).gt.0.)) then
           !        if (weta(ks).gt.0. .or. wetb(ks).gt.0.) then 
-          blc_count=blc_count+1
+          blc_count(ks)=blc_count(ks)+1
           wetscav=weta_gas(ks)*prec(1)**wetb_gas(ks)
 
@@ -280,5 +283,5 @@
 !*********************************************************************************
         else if ((dquer(ks).gt.0.).and.(crain_aero(ks).gt.0..or.csnow_aero(ks).gt.0.)) then
-          blc_count=blc_count+1
+          blc_count(ks)=blc_count(ks)+1
 
 !NIK 17.02.2015
@@ -320,5 +323,5 @@
 ! given in species file, or if gas and positive Henry's constant
         if ((ccn_aero(ks).gt.0. .or. in_aero(ks).gt.0.).or.(henry(ks).gt.0.and.dquer(ks).le.0)) then 
-          inc_count=inc_count+1
+          inc_count(ks)=inc_count(ks)+1
 ! if negative coefficients (turned off) set to zero for use in equation
           if (ccn_aero(ks).lt.0.) ccn_aero(ks)=0.
@@ -432,6 +435,6 @@
 
 ! count the total number of below-cloud and in-cloud occurences:
-  tot_blc_count=tot_blc_count+blc_count
-  tot_inc_count=tot_inc_count+inc_count
+  tot_blc_count(1:nspec)=tot_blc_count(1:nspec)+blc_count(1:nspec)
+  tot_inc_count(1:nspec)=tot_inc_count(1:nspec)+inc_count(1:nspec)
 
 end subroutine wetdepo
